Kontentga o'tish

Yetkazib beruvchilar

GET
/v1/supplier
curl --request GET \
--url 'https://api-admin.billz.ai/v1/supplier?page=1&limit=1000' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

page
integer format: int32
default: 1

Raqam bo’lmagan qiymat -> 400

limit
integer format: int32
default: 10

Raqam bo’lmagan qiymat — 400

Example
1000
search
string

Qidiruv satri

platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
count

Jami yetkazib beruvchilar

integer format: int32
total_debt_value
number format: double
total_purchase_price
number format: double
total_paid_purchase_price
number format: double
total_purchase_measurement_value
number format: double
suppliers
Array<object>
object
id
string
external_id

Tashqi (tartib) identifikator

string
company_id
string
name
string
debt_value
number format: double
total_purchase_price
number format: double
total_paid_purchase_price
number format: double
total_purchase_measurement_value
number format: double
phone_numbers
Array<string>
nullable
balance
number format: double
Examplegenerated
{
"count": 1,
"total_debt_value": 1,
"total_purchase_price": 1,
"total_paid_purchase_price": 1,
"total_purchase_measurement_value": 1,
"suppliers": [
{
"id": "example",
"external_id": "example",
"company_id": "example",
"name": "example",
"debt_value": 1,
"total_purchase_price": 1,
"total_paid_purchase_price": 1,
"total_purchase_measurement_value": 1,
"phone_numbers": [
"example"
],
"balance": 1
}
]
}